import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CheckboxIndeterminateIcon = function CheckboxIndeterminateIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "12",
    height: "12",
    viewBox: "0 0 12 12",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("rect", {
    width: "12",
    height: "12",
    rx: "2",
    fill: "#FD5151"
  }), /*#__PURE__*/React__default.createElement("line", {
    x1: "2.75",
    y1: "6.25",
    x2: "9.25",
    y2: "6.25",
    stroke: "white",
    "stroke-width": "1.5",
    "stroke-linecap": "round"
  })))));
};

export { CheckboxIndeterminateIcon as default };
//# sourceMappingURL=index.js.map
