import React__default from 'react';
import { TableMultiSelectText } from '../../Typography/Paragraph/index.js';
import { TableMultiSelectContainer, TableMultiSelectItems } from './style.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var TableMultiSelect = function TableMultiSelect(props) {
  var _props$vehicles = props.vehicles,
      vehicles = _props$vehicles === void 0 ? 0 : _props$vehicles,
      _props$items = props.items,
      items = _props$items === void 0 ? [] : _props$items;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(TableMultiSelectContainer, null, /*#__PURE__*/React__default.createElement(TableMultiSelectText, null, "You Have ", vehicles, " Vehicles Selected"), /*#__PURE__*/React__default.createElement(TableMultiSelectItems, null, items.map(function (item, index) {
    return /*#__PURE__*/React__default.createElement("div", {
      key: index
    }, item.component);
  }))));
};

export { TableMultiSelect as default };
//# sourceMappingURL=index.js.map
