import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;
var ModalContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: absolute;\n  top: 50%;\n  left: 50%;\n  transform: translate(-50%, -50%);\n  width: 395px;\n  display: flex;\n  flex-direction: column;\n  border-radius: 4px;\n  overflow: hidden;\n"])));
var ModalDetailsSection = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n\n  gap: 15px;\n  background: ", ";\n  padding: 25px;\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialReversePrimary;
});
var ModalHeader = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  font-family: ", ";\n  font-size: ", ";\n  color: ", ";\n"])), function (_ref2) {
  var theme = _ref2.theme;
  return theme.fontWorkSansMedium;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.fontSize_18;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourTextWhite;
});
var ModalDetailsContainer = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n  gap: 5px;\n"])));
var ModalDetailsWrapper = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  font-family: ", ";\n  font-size: ", ";\n  color: ", ";\n  display: flex;\n  gap: 10px;\n"])), function (_ref5) {
  var theme = _ref5.theme;
  return theme.fontWorkSansRegular;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.fontSize_14;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourTextWhite;
});
var ModalPropertyWrapper = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  width: 40%;\n  display: flex;\n  justify-content: space-between;\n"])));
var ModalValueWrapper = styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  width: 60%;\n  display: flex;\n"])));

export { ModalContainer, ModalDetailsContainer, ModalDetailsSection, ModalDetailsWrapper, ModalHeader, ModalPropertyWrapper, ModalValueWrapper };
//# sourceMappingURL=style.js.map
