import React__default from 'react';
import Tooltip from '../../Tooltip/Tooltip/index.js';
import LabelIcon from '../../Icons/labelIcon/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var Info = function Info(props) {
  var info = props.info,
      infoPlace = props.infoPlace;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(Tooltip, {
    title: info,
    placement: infoPlace
  }, /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(LabelIcon, null))));
};

export { Info as default };
//# sourceMappingURL=index.js.map
