import React__default from 'react';
import { Slider } from '@mui/material';
import { HeatmapRangeSliderWrapper, RangeSliderWrapper, FixedRangeSliderWrapper } from './style.js';
import { RangeSliderLabelWrapper, RangeSliderMarkers } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var RangeSliderComponent = function RangeSliderComponent(_ref) {
  var label = _ref.label,
      Inline = _ref.Inline;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), Inline ? /*#__PURE__*/React__default.createElement(HeatmapRangeSliderWrapper, null, label && /*#__PURE__*/React__default.createElement(RangeSliderLabelWrapper, null, " ", label, " "), /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "0%"), /*#__PURE__*/React__default.createElement(Slider, {
    defaultValue: 50,
    size: "small",
    "aria-label": "Small",
    valueLabelDisplay: "auto"
  }), /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "100%")) : /*#__PURE__*/React__default.createElement(RangeSliderWrapper, null, label && /*#__PURE__*/React__default.createElement(RangeSliderLabelWrapper, null, " ", label, " "), /*#__PURE__*/React__default.createElement(Slider, {
    defaultValue: 50,
    size: "small",
    "aria-label": "Small",
    valueLabelDisplay: "auto"
  }), /*#__PURE__*/React__default.createElement(FixedRangeSliderWrapper, null, /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "0%"), /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "100%"))));
};

export { RangeSliderComponent as default };
//# sourceMappingURL=index.js.map
